{% extends 'blog/base.html' %} {% block content %}
<a href="/createBlog/">Create</a>
<br />
<ul>
  {% for blog in blogs %}
  <li data-blog="{{ blog.title|escape }}">
    Title: {{ blog.title|escape }} - Content: {{ blog.content|escape }}
  </li>
  {% endfor %}

  <br />
  <br />

  <form id="form">
    <input type="text" name="message" />
  </form>
  <div id="messages"></div>
</ul>
{% endblock content %} {% block script %}
<script>
  var socket = new WebSocket("ws://" + window.location.host + "/ws/chat/");


  socket.onmessage = function(event) {
    var data = JSON.parse(event.data);

    console.log("data:", event);
    if(data.type==="chat"){
      let messages=document.getElementById('messages')
      messages.insertAdjacentHTML('beforeend',
      `
      <div>
        <p>
          ${data.message}
        </p>
      </div>
      `)
    }

  };

  let form =document.getElementById('form')
  form.addEventListener('submit',(e)=>{
    e.preventDefault()
    let message=e.target.message.value

    socket.send(JSON.stringify({
      'message':message

    }))
    form.reset()
  })

  {% comment %} if (socket.readyState == WebSocket.OPEN) {
    socket.onopen();
  } {% endcomment %}
</script>
{% endblock script %}
